SHARP NetWalker PC-Z1

  • geopelia.local.m2hq.net
  • 2011/09/21購入(中古)

メモ

compcacheの導入

  • ramzswap.koを所定の場所へコピー
  • udevで/dev/ramzswap0がaddされたときに~~swap領域の初期化と~~swaponを行う
    • /opt/compcache0.6.2/ にramzswap.koを置く
    • /etc/rc.local で
      /sbin/insmod /opt/compcache-0.6.2/ramzswap.ko
      /bin/sleep 1
      /usr/sbin/rzscontrol /dev/ramzswap0 --init

参考

LXDEにしたい

できた

  • Ubuntu 9.04な環境を用意してテストしてみたほうがいいかも
  • http://marin402.ddo.jp/netwalker/ が死んでおり残念

  • 閉じてもサスペンドしなくなるとの記述が多数あり
    • gnome-power-manager動かせばいい
    • xfce4-power-managerでもいい?
      • 0.6.2で対応してるかどうか
  • キーボードでの音量調整ができなくなる
    • gnome-sound-propertiesを一度起動させれば操作できるようになるとの記述あり
    • というかgnome-settings-daemonが起動していれば良さそう
    • gnome-settings-daemonを動かすと他の設定(壁紙とかマウスとかもろもろ)も変わってしまうのが気持ち悪いところ
  • notify-osdのかわりにnotification-daemonが動くようになってた
    • notification-daemonをremove
    • echo '@/usr/lib/notify-osd/notify-osd &' >> .config/lxsession/LXDE/autostart
      • いらないかも?

PCManFMをクロスコンパイルしたい

できなかった(0.9系は)

  • emdebian
  • dpkg-cross -a armel -b hogehoge_mogemoge_armel.deb
  • sudo dpkg -i hogehoge-armel-cross_mogemoge_all.deb
  • PKG_CONFIG_PATH=/usr/arm-linux-gnueabi/lib/pkgconfig
  • ./configure --host=arm-linux-gnueabi
  • libfm-0.1.16はglib2-2.24.0以上が必要
    configure: error: Package requirements (glib-2.0 >= 2.18.0 gobject-2.0 >= 2.24.0) were not met:
    
    Requested 'gobject-2.0 >= 2.24.0' but version of GObject is 2.20.1
  • pcmanfm-0.9.8はgtk2-2.18以上が必要
    desktop.c: In function ‘paint_item’:
    desktop.c:1537: error: implicit declaration of function ‘gtk_widget_get_state’
  • 0.9系はgtk2-2.16ではダメな感ある

参考

Ubuntu Oneを使いたい

できたっぽい

Sticky Key したい

IS05経由でネットに繋ぎたい

分解

  • 液晶背面を押さえると何故かバックライトが消える現象が発生
  • なんとかしたい
  • 液晶背面部をカード等を使ってバラす
  • 液晶下部(電池側)にネジが2本あるので電池部のカバーを外し電池をずらす必要がある
  • 開けるとこんな感じ
  • ネジ頭とフレキが干渉している部分があり,ここを押さえるとバックライトが消える
  • 黒いテープを一旦剥がし,干渉しないようずらして再度固定

参考

Last edited by n13i, 2012-03-11 01:34:46